Summary: Database Independent Abstraction Layer for C
Name: libdbi
Version: 0.6.4
Release: 2
Group: Development/Libraries
License: LGPL
URL: http://libdbi.sourceforge.net/
Source: http://prdownloads.sourceforge.net/libdbi/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
libdbi implements a database-independent abstraction layer in C, similar to the
DBI/DBD layer in Perl. Writing one generic set of code, programmers can
leverage the power of multiple databases and multiple simultaneous database
connections by using this framework.

%package devel
Summary: Development files for libdbi (Database Independent Abstraction Layer for C)
Group: Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
The libdbi-devel package contains the header files and documentation
needed to develop applications with libdbi.

%package dbd-mysql
Summary: MySQL plugin for libdbi
Group: Development/Libraries
Requires:	%{name} = %{version}-%{release}
BuildRequires: mysql-devel

%description dbd-mysql
This plugin provides connectivity to MySQL database servers through the
libdbi database independent abstraction layer. Switching a program's plugin
does not require recompilation or rewriting source code.

%package dbd-pgsql
Summary: PostgreSQL plugin for libdbi
Group: Development/Libraries
Requires:	%{name} = %{version}-%{release}
BuildRequires: postgresql-devel, krb5-devel, openssl-devel

%description dbd-pgsql
This plugin provides connectivity to PostgreSQL database servers through the
libdbi database independent abstraction layer. Switching a program's plugin
does not require recompilation or rewriting source code.

%clean 
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%prep
%setup -q -n %{name}-%{version}

%build
%configure --with-mysql --with-pgsql
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
#makeinstall plugindir=$RPM_BUILD_ROOT/usr/lib/dbd
make DESTDIR=$RPM_BUILD_ROOT install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS
%doc ChangeLog
%doc COPYING
%doc README
%doc README.plugins
/usr/lib/libdbi.so.*

%files devel
%defattr(-,root,root)
%doc README
%doc TODO
%doc doc/programmers-guide.pdf
%doc doc/programmers-guide/
%doc doc/plugin-guide.pdf
%doc doc/plugin-guide/
/usr/include/dbi/*
/usr/lib/libdbi.a
/usr/lib/libdbi.la
/usr/lib/libdbi.so

%files dbd-mysql
%defattr(-,root,root)
/usr/lib/dbd/libmysql.so
/usr/lib/dbd/libmysql.la

%files dbd-pgsql
%defattr(-,root,root)
/usr/lib/dbd/libpgsql.so
/usr/lib/dbd/libpgsql.la

%changelog
* Wed Mar 13 2002 Trond Eivind Glomsrd <teg@redhat.com> 0.6.4-2
- 0.6.4

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Sep 20 2001 Trond Eivind Glomsrd <teg@redhat.com> 0.6.2-1
- Sanitize, prepare for distribution

* Sat Aug 4 2001 David Parker <david@neongoat.com>
- initial spec file created
